## libayatana-indicator 0.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -83,7 +83,7 @@
 include(GNUInstallDirs)
 set(ABI_VERSION "7")
 set(API_VERSION "4")
-set(PROJECT_VERSION "0.9.3")
+set(PROJECT_VERSION "0.9.4")
 set(PROJECT_NAME "libayatana-indicator")
 
 # Make everything
