=== debian/changelog ===
libayatana-indicator (0.9.4-2) unstable; urgency=medium

  * Add patch to fix tests with new at-spi2-core (Closes: #1113114)
    (LP: #2124957)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 06 Oct 2025 16:04:43 +0200

libayatana-indicator (0.9.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Mar 2024 08:10:51 +0100

libayatana-indicator (0.9.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop GTK 2 support. (Closes: #967568).

 -- Bastian Germann <bage@debian.org>  Mon, 13 Nov 2023 15:27:03 +0100
