=== debian/control ===
--- 
+++ 
@@ -16,39 +16,13 @@
                xauth,
                xvfb,
                libglib2.0-dev (>= 2.37),
-               libgtk2.0-dev (>= 2.18),
                libgtk-3-dev (>= 2.91.3),
                libayatana-ido3-dev (>= 0.9.0),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-indicator
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-indicator.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libayatana-indicator
-
-Package: libayatana-indicator7
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-Multi-Arch: same
-Description: panel indicator applet - shared library (GTK-2+ variant)
- The Ayatana Indicators library contains information to build indicators
- to go into modern desktops' indicator applets.
- .
- This package contains the library itself (GTK-2+ variant).
-
-Package: libayatana-indicator-dev
-Section: libdevel
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libgtk2.0-dev (>= 2.12.0),
-         libayatana-indicator7 (= ${binary:Version}),
-Description: panel indicator applet - library development files (GTK-2+)
- The Ayatana Indicators library contains information to build indicators
- to go into modern desktops' indicator applets.
- .
- This package contains files that are needed to build GTK-2+ applications
- with Ayatana Indicator support.
 
 Package: libayatana-indicator3-7
 Architecture: any
