=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CONFIGURE_FLAGS = -DFLAVOUR_GTK3=ON -DFLAVOUR_GTK2=OFF -DENABLE_TESTS=ON -DENABLE_COVERAGE=OFF

export G_MESSAGES_DEBUG = all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	DH_VERBOSE=1 dh_auto_configure --builddirectory=builddir/gtk3 -- $(CONFIGURE_FLAGS)

override_dh_auto_build:
	dh_auto_build --builddirectory=builddir/gtk3

override_dh_auto_test:
	xvfb-run -a dh_auto_test --no-parallel --builddirectory=builddir/gtk3

override_dh_auto_install:
	dh_auto_install --builddirectory=builddir/gtk3 --destdir=debian/tmp/gtk3

override_dh_install:
	find debian/tmp -name \*.la -delete
	find debian/tmp -name libdummy-indicator\* -delete
	dh_install -plibayatana-indicator3-7 --sourcedir=debian/tmp/gtk3
	dh_install -plibayatana-indicator3-dev --sourcedir=debian/tmp/gtk3
	dh_install -plibayatana-indicator3-tools --sourcedir=debian/tmp/gtk3

override_dh_missing:
	dh_missing -plibayatana-indicator3-7 --sourcedir=debian/tmp/gtk3
	dh_missing -plibayatana-indicator3-dev --sourcedir=debian/tmp/gtk3
	dh_missing -plibayatana-indicator3-tools --sourcedir=debian/tmp/gtk3

override_dh_makeshlibs:
	dh_makeshlibs -plibayatana-indicator3-7 -V 'libayatana-indicator3-7 (>= 0.6.0)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_clean:
	dh_auto_clean
	rm -Rf builddir/
	rm -Rf build-aux/

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
