## libayatana-indicator 0.9.4-0+git20231013.2072+20.04.nightly.1

=== debian/changelog ===
libayatana-indicator (0.9.4-0+git20231013.2072+20.04.nightly.1) focal; urgency=medium

  * Development-Snapshot!!! Auto-built Ubuntu focal package for
    packages.arctica-project.org repository (Git commit:
    611bb384b73fa6311777ba4c41381a06f5b99dad).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Fri, 13 Oct 2023 10:27:20 +0200

libayatana-indicator (0.9.4-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 13 Oct 2023 08:39:58 +0200

libayatana-indicator (0.9.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 26 Oct 2022 00:06:50 +0200

libayatana-indicator (0.9.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 15 Sep 2022 08:34:46 +0200

libayatana-indicator (0.9.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 17 Feb 2022 21:36:58 +0100

libayatana-indicator (0.9.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 17 Nov 2021 14:06:42 +0100

libayatana-indicator (0.8.4-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 25 Jan 2021 17:05:46 +0100

libayatana-indicator (0.8.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 09 Nov 2020 20:26:54 +0100

libayatana-indicator (0.8.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 10 Sep 2020 21:25:45 +0200

libayatana-indicator (0.8.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 26 Aug 2020 09:31:19 +0200

libayatana-indicator (0.8.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 14 Aug 2020 21:03:24 +0200

libayatana-indicator (0.7.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 28 Jul 2020 21:37:10 +0200

libayatana-indicator (0.6.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 20 Nov 2019 14:20:10 +0100

libayatana-indicator (0.6.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 20 Mar 2018 09:37:13 +0000

libayatana-indicator (0.6.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-indicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 22 Sep 2017 10:11:39 +0200

libayatana-indicator (0.6.0-0) unstable; urgency=medium

  * Fork from Ubuntu's libindicator.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 22 May 2017 13:48:53 +0200

libindicator (12.10.2+14.10.20140922-0ubuntu1) utopic; urgency=low

  [ Marco Trevisan (Treviño) ]
  * IndicatorNG: Reverse the scroll delta on left scroll events

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 22 Sep 2014 13:41:36 +0000

libindicator (12.10.2+14.04.20140402-0ubuntu1) trusty; urgency=low

  [ William Hua ]
  * Don't load using the icon info structure if it's a GBytesIcon. (LP:
    #1293548)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 02 Apr 2014 14:50:52 +0000

libindicator (12.10.2+14.04.20140304-0ubuntu1) trusty; urgency=low

  [ Marco Trevisan (Treviño) ]
  * IndicatorImageHelper: always try to use a GIcon or the filename as
    source of the GdkImage We don't need to fallback to pure pixbuf,
    unless an indicator provided a custom icon that is not in the
    current theme path. This helps a lot in reducing the Unity7 workload
    as this decreases the cases where we need to encode the pixbuf
    contents, send them via dbus to unity, encode them back, reload to a
    new pixbuf... Also thanks to this, the library clients can load the
    actual icon, scaled at the value they want. (LP: #784055)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Mar 2014 10:58:35 +0000

libindicator (12.10.2+14.04.20140218-0ubuntu1) trusty; urgency=low

  [ Marco Trevisan (Treviño) ]
  * IndicatorObject: add parent_window parameter to IndicatorEntry

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Feb 2014 15:45:39 +0000

libindicator (12.10.2+14.04.20140129-0ubuntu1) trusty; urgency=low

  [ Colin Watson ]
  * Use named icons rather than (deprecated) stock items. (LP: #1262626)

  [ Lars Uebernickel ]
  * Don't treat deprecation warnings as errors and fix indicator-ng test
    for gtk 3.10. (LP: #1262626)
  * indicator-ng: support "submenu-action" on root menu items (LP:
    #793450)


