=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: libayatana-indicator
-Section: libs
+Section: nightly/libs
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
-Uploaders:
- Mike Gabriel <sunweaver@debian.org>,
+Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
 Build-Depends: at-spi2-core,
                cmake,
                cmake-extras,
-               debhelper-compat (= 13),
+               debhelper (>= 10),
                dpkg-dev (>= 1.16.1.1),
                libtool,
                intltool,
@@ -16,13 +14,39 @@
                xauth,
                xvfb,
                libglib2.0-dev (>= 2.37),
+               libgtk2.0-dev (>= 2.18),
                libgtk-3-dev (>= 2.91.3),
-               libayatana-ido3-dev (>= 0.9.0),
-Standards-Version: 4.6.2
+               libayatana-ido3-dev (>= 0.8.0),
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-indicator
-Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-indicator.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libayatana-indicator
+Vcs-Git: git://cgit.arctica-project.org/ayatana/libayatana-indicator.git
+Vcs-Browser: https://cgit.arctica-project.org/ayatana/libayatana-indicator.git/
+
+Package: libayatana-indicator7
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Multi-Arch: same
+Description: panel indicator applet - shared library (GTK-2+ variant)
+ The Ayatana Indicators library contains information to build indicators
+ to go into modern desktops' indicator applets.
+ .
+ This package contains the library itself (GTK-2+ variant).
+
+Package: libayatana-indicator-dev
+Section: nightly/libdevel
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libgtk2.0-dev (>= 2.12.0),
+         libayatana-indicator7 (= ${binary:Version}),
+Description: panel indicator applet - library development files (GTK-2+)
+ The Ayatana Indicators library contains information to build indicators
+ to go into modern desktops' indicator applets.
+ .
+ This package contains files that are needed to build GTK-2+ applications
+ with Ayatana Indicator support.
 
 Package: libayatana-indicator3-7
 Architecture: any
@@ -36,12 +60,12 @@
  This package contains the library itself (GTK-3+ variant).
 
 Package: libayatana-indicator3-dev
-Section: libdevel
+Section: nightly/libdevel
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libgtk-3-dev (>= 2.91.3),
-         libayatana-ido3-dev (>= 0.9.0),
+         libayatana-ido3-dev (>= 0.8.0),
          libayatana-indicator3-7 (= ${binary:Version}),
 Description: panel indicator applet - library development files (GTK-3+)
  The Ayatana Indicators library contains information to build indicators
@@ -51,7 +75,7 @@
  with Ayatana Indicator support.
 
 Package: libayatana-indicator3-tools
-Section: devel
+Section: nightly/devel
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
